function scores = classifyMultiple(vectors,vectors_rev,model_path )
%MATLAB wrapper for classifyMultiplemx.mex. It classifies a bunch of feature 
%vectors (Two-way Matching) by a trained AdaBoost model and returns the classification
%scores for each feature vector.
%   - vectors:      An m-by-n matrix, where feature vectors are stored as rows.
%                   i.e. There are m feature vectors of dimension n.
%   - vectors_rev:  An m-by-n matrix, where each row is the reverse feature vector
%                   corresponding to each in [vectors].
%   - model_path:   A string of the path where the trained model is stored.
%   - scores:       An m-by-1 vector of classification scores. The lower score 
%                   from vectors and vectors_rev is returned. 
%                   A negative score "votes" for non-WTF, a positive score for WTF.

scores = classifyMultiplemx(single(vectors)',single(vectors_rev)',model_path);

end

