function crossValidationDemo
% This function evaluates the WTF detector using 5-fold cross-validation
% and plots a roc curve. For this, pre-built feature vectors are loaded
% from a file.
%
% To run this script, go to libwtf/Matlab in Matlab and run:
% addpath ./examples
% crossValidationDemo

% labels and folds
load './examples/data/labels_folds.mat'

% dist2border histogram + coverage feature
load './examples/data/dist2border_5bins.mat'
crossValidation(V,V_rev,labels,folds,'dist2border+cov 5bin 2way');

% dist2center histogram + coverage feature
load './examples/data/dist2center_5bins.mat'
crossValidation(V,V_rev,labels,folds,'dist2center+cov 5bin 2way');

end

