function train( vectors,labels,model_path,n_itr )
%MATLAB wrapper for trainmx.mex. It trains the AdaBoost model on feature vectors 
%and saves the model.
%   - vectors:      An m-by-n matrix, where feature vectors are stored as rows.
%                   i.e. There are m feature vectors of dimension n.
%   - labels:       An m-by-1 vector of training labels. 
%                   0 for non-WTF, 1 for WTF.
%   - model_path:   A string of the path where the trained model should be saved.
%   - [n_itr]:      Number of weak classifiers in the trained AdaBoost model.

if nargin<4
    trainmx(single(vectors)',int32(labels),model_path);
else
    trainmx(single(vectors)',int32(labels),model_path,n_itr);
end

end

